%define name		smb4k
%define version		0.4.0
%define release 	3mdk

%define __libtoolize /bin/true

Summary:	A KDE SMB share browser
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
License:	GPL
Group:		Networking/Other
Url:		http://smb4k.berlios.de
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	samba-client
BuildRequires:	kdelibs-devel
BuildRequires:	autoconf2.5

%description
An SMB network and share browser for KDE 3.1 or later.

%prep
%setup -q

%build
%configure2_5x \
		--disable-debug \
		--enable-shared \
		--disable-static \
		--disable-rpath \
		--enable-final

%make

%install
rm -Rf %{buildroot}

%makeinstall_std

# Menu
mkdir -p %{buildroot}/%{_menudir}
kdedesktop2mdkmenu.pl smb4k "Internet/File Transfer" %{buildroot}/%{_datadir}/applications/kde/smb4k.desktop %{buildroot}/%{_menudir}/smb4k

# Icons
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/crystalsvg/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s %{_iconsdir}/crystalsvg/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s %{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

# Fix KDE's absolute symlinks
pushd %{buildroot}/%{_defaultdocdir}/HTML/en/%{name}
mkdir -p ../common
ln -sf ../common
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/kde/smb4k.desktop
%{_datadir}/apps/smb4k
%{_datadir}/doc/HTML/en/smb4k
%{_iconsdir}/crystalsvg/*/apps/smb4k.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Tue Apr 13 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

* Wed Jan 07 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.1-2mdk
- Texstar->Mandrake
- Cleanups

* Thu Nov 19 2003 Texstar
- Change name in menu to Local Network Browser
- Update to new version 0.3.1

* Thu Oct 23 2003 Texstar
- Update to version 0.3.0a

* Sat Jun 28 2003 Texstar
- New update to fix win98 share lookup

* Fri Jun 27 2003 Texstar
- New Release bug fixes

* Sat Jun 14 2003 Texstar
- Rebuild without libsmbclient rpms installed

* Fri Jun 13 2003 Texstar
- Initial Build for Mandrake 9.1
